Bug 166724 - up2date --update fails after downloading one package
up2date --update fails after downloading one package
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-24 18:02 EDT by Andrew Long
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:27:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Long 2005-08-24 18:02:36 EDT
Description of problem:
Running up2date following clean installation of FC4 (third time of asking!),
downloads one package then fails with 'Exceptions.KeyError - see
/var/log/up2date for more information'

Downloaded Kernel 2.6.12 via GUI up2date, then stopped. Next time downloaded
HelixPlayer via text-mode up2date then stopped. Here's the output:-

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

[root@nike andy]# up2date --update
initRepo
Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://mirror.linux.duke.edu/pub/fedora/linux/core/updates/4/i386/',
'http://fedora.mirrors.tds.net/pub/fedora-core/updates/4/i386/',
'http://mirror.hiwaay.net/redhat/fedora/linux/core/updates/4/i386/',
'http://fedora.secsup.org/core/updates/4/i386/',
'http://mirror.newnanutilities.org/fedora/linux/core/updates/4/i386/',
'http://mirror.cs.wisc.edu/pub/mirrors/linux/download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.ale.org/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.ndlug.nd.edu/pub/fedora/linux/core/updates/4/i386/',
'http://mirrors.playboy.com/fedora/updates/4/i386/',
'http://mirror.phy.olemiss.edu/mirror/fedora/core/updates/4/i386/',
'http://mirror.mcs.anl.gov/pub/fedora-linux-core/updates/4/i386/',
'http://ftp.ussg.iu.edu/linux/fedora/linux/core/updates/4/i386/',
'http://srl.cs.jhu.edu/YUM/fedora-core/updates/4/i386/',
'http://linux.admin.uillinois.edu/pub/linux/fedora/linux/core/updates/4/i386/',
'http://limestone.uoregon.edu/ftp/fedora/updates/4/i386/',
'http://mirror.stanford.edu/fedora/linux/core/updates/4/i386/',
'http://mirrors.kernel.org/fedora/core/updates/4/i386/',
'http://mirror.web-ster.com/fedora/core/updates/4/i386/',
'http://fedora.cat.pdx.edu/linux/core/updates/4/i386/',
'http://mirror.usu.edu/mirrors/fedora/linux/core/updates/4/i386/',
'http://mirrors.tummy.com/mirrors/fedora.redhat.com/fedora/linux/core/updates/4/i386/',
'http://mirrors.csumb.edu/pub/fedora/updates/4/i386/',
'http://less.cogeco.net/pub/fedora/linux/core/updates/4/i386/',
'http://www.muug.mb.ca/pub/fedora/linux/core/updates/4/i386/',
'http://fedora.arcticnetwork.ca/updates/4/i386/',
'http://www.las.ic.unicamp.br/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.tecnoera.com/pub/fedora/linux/core/updates/4/i386/',
'http://mirror.netglobalis.net/pub/fedora/core/updates/4/i386/',
'http://ftp.tugraz.at/mirror/redhat-linux/fedora/linux/core/updates/4/i386/',
'http://sunsite.mff.cuni.cz/pub/fedora/updates/4/i386/',
'http://ftp1.skynet.cz/pub/linux/fedora/updates/4/i386/',
'http://klid.dk/homeftp/fedora/linux/core/updates/4/i386/',
'http://redhat.linux.ee/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.crihan.fr/mirrors/fedora.redhat.com/fedora/linux/core/updates/4/i386/',
'http://fr.rpmfind.net/linux/fedora/core/updates/4/i386/',
'http://fr2.rpmfind.net/linux/fedora/core/updates/4/i386/',
'http://www-ftp.lip6.fr/pub/linux/distributions/fedora/updates/4/i386/',
'http://wftp.tu-chemnitz.de/pub/linux/fedora-core/updates/4/i386/',
'http://ftp.uni-bayreuth.de/linux/fedora/linux/core/updates/4/i386/',
'http://ftp-stud.fht-esslingen.de/pub/Mirrors/fedora.redhat.com/linux/core/updates/4/i386/',
'http://dl.atrpms.net/mirrors/fedoracore/updates/4/i386/',
'http://www.fedora.is/fedora/core/updates/4/i386/',
'http://ftp.heanet.ie/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.esat.net/mirrors/download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/',
'http://fedora.ngi.it/updates/4/i386/',
'http://sunsite.icm.edu.pl/pub/Linux/fedora/linux/core/updates/4/i386/',
'http://ftp.ps.pl/pub/linux/fedora-core/updates/4/i386/',
'http://ftp.iasi.roedu.net/mirrors/fedora.redhat.com/core/updates/4/i386/',
'http://ftp.lug.ro/fedora/linux/core/updates/4/i386/',
'http://ftp.chg.ru/pub/Linux/fedora/core/updates/4/i386/',
'http://mirror.etf.bg.ac.yu/distributions/fedora/updates/4/i386/',
'http://mirror2.etf.bg.ac.yu/distributions/fedora/updates/4/i386/',
'http://ftp.upjs.sk/pub/linux/fedora/linux/core/updates/4/i386/',
'http://mirrors.bevc.net/fedora/updates/4/i386/',
'http://ftp.udl.es/pub/fedora/linux/core/updates/4/i386/',
'http://mirror.switch.ch/ftp/mirror/fedora/linux/core/updates/4/i386/',
'http://zeniv.linux.org.uk/pub/distributions/fedora/linux/core/updates/4/i386/',
'http://planetmirror.com/pub/fedora/linux/core/updates/4/i386/',
'http://ftp.riken.jp/Linux/fedora/core/updates/4/i386/',
'http://ftp.nara.wide.ad.jp/pub/Linux/fedora/core/updates/4/i386/',
'http://mirror.averse.net/fedora/linux/core/updates/4/i386/',
'http://ftp.isu.edu.tw/pub/Linux/Fedora/linux/core/updates/4/i386/']
Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/']
Baseurl(s) for repo:
['http://download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://mirror.linux.duke.edu/pub/fedora/linux/core/4/i386/os/',
'http://fedora.mirrors.tds.net/pub/fedora-core/4/i386/os/',
'http://mirror.hiwaay.net/redhat/fedora/linux/core/4/i386/os/',
'http://fedora.secsup.org/core/4/i386/os/',
'http://mirror.newnanutilities.org/fedora/linux/core/4/i386/os/',
'http://mirror.cs.wisc.edu/pub/mirrors/linux/download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.ale.org/pub/fedora/linux/core/4/i386/os/',
'http://ftp.ndlug.nd.edu/pub/fedora/linux/core/4/i386/os/',
'http://mirrors.playboy.com/fedora/4/i386/os/',
'http://mirror.phy.olemiss.edu/mirror/fedora/core/4/i386/os/',
'http://mirror.mcs.anl.gov/pub/fedora-linux-core/4/i386/os/',
'http://ftp.ussg.iu.edu/linux/fedora/linux/core/4/i386/os/',
'http://srl.cs.jhu.edu/YUM/fedora-core/4/i386/os/',
'http://linux.admin.uillinois.edu/pub/linux/fedora/linux/core/4/i386/os/',
'http://limestone.uoregon.edu/ftp/fedora/4/i386/os/',
'http://mirror.stanford.edu/fedora/linux/core/4/i386/os/',
'http://mirrors.kernel.org/fedora/core/4/i386/os/',
'http://mirror.web-ster.com/fedora/core/4/i386/os/',
'http://fedora.cat.pdx.edu/linux/core/4/i386/os/',
'http://mirror.usu.edu/mirrors/fedora/linux/core/4/i386/os/',
'http://mirrors.tummy.com/mirrors/fedora.redhat.com/fedora/linux/core/4/i386/os/',
'http://mirrors.csumb.edu/pub/fedora/4/i386/os/',
'http://less.cogeco.net/pub/fedora/linux/core/4/i386/os/',
'http://www.muug.mb.ca/pub/fedora/linux/core/4/i386/os/',
'http://fedora.arcticnetwork.ca/4/i386/os/',
'http://www.las.ic.unicamp.br/pub/fedora/linux/core/4/i386/os/',
'http://ftp.tecnoera.com/pub/fedora/linux/core/4/i386/os/',
'http://mirror.netglobalis.net/pub/fedora/core/4/i386/os/',
'http://ftp.tugraz.at/mirror/redhat-linux/fedora/linux/core/4/i386/os/',
'http://sunsite.mff.cuni.cz/pub/fedora/4/i386/os/',
'http://ftp1.skynet.cz/pub/linux/fedora/4/i386/os/',
'http://klid.dk/homeftp/fedora/linux/core/4/i386/os/',
'http://redhat.linux.ee/pub/fedora/linux/core/4/i386/os/',
'http://ftp.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.ipv6.funet.fi/pub/mirrors/ftp.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.crihan.fr/mirrors/fedora.redhat.com/fedora/linux/core/4/i386/os/',
'http://fr.rpmfind.net/linux/fedora/core/4/i386/os/',
'http://fr2.rpmfind.net/linux/fedora/core/4/i386/os/',
'http://www-ftp.lip6.fr/pub/linux/distributions/fedora/4/i386/os/',
'http://wftp.tu-chemnitz.de/pub/linux/fedora-core/4/i386/os/',
'http://ftp.uni-bayreuth.de/linux/fedora/linux/core/4/i386/os/',
'http://ftp-stud.fht-esslingen.de/pub/Mirrors/fedora.redhat.com/linux/core/4/i386/os/',
'http://dl.atrpms.net/mirrors/fedoracore/4/i386/os/',
'http://www.fedora.is/fedora/core/4/i386/os/',
'http://ftp.heanet.ie/pub/fedora/linux/core/4/i386/os/',
'http://ftp.esat.net/mirrors/download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/',
'http://fedora.ngi.it/4/i386/os/',
'http://sunsite.icm.edu.pl/pub/Linux/fedora/linux/core/4/i386/os/',
'http://ftp.ps.pl/pub/linux/fedora-core/4/i386/os/',
'http://ftp.iasi.roedu.net/mirrors/fedora.redhat.com/core/4/i386/os/',
'http://ftp.lug.ro/fedora/linux/core/4/i386/os/',
'http://ftp.chg.ru/pub/Linux/fedora/core/4/i386/os/',
'http://mirror.etf.bg.ac.yu/distributions/fedora/4/i386/os/',
'http://mirror2.etf.bg.ac.yu/distributions/fedora/4/i386/os/',
'http://ftp.upjs.sk/pub/linux/fedora/linux/core/4/i386/os/',
'http://mirrors.bevc.net/fedora/4/i386/os/',
'http://ftp.udl.es/pub/fedora/linux/core/4/i386/os/',
'http://mirror.switch.ch/ftp/mirror/fedora/linux/core/4/i386/os/',
'http://zeniv.linux.org.uk/pub/distributions/fedora/linux/core/4/i386/os/',
'http://planetmirror.com/pub/fedora/linux/core/4/i386/os/',
'http://ftp.riken.jp/Linux/fedora/core/4/i386/os/',
'http://ftp.nara.wide.ad.jp/pub/Linux/fedora/core/4/i386/os/',
'http://mirror.averse.net/fedora/linux/core/4/i386/os/',
'http://ftp.isu.edu.tw/pub/Linux/Fedora/linux/core/4/i386/os/']
Setting up Package Sacks
Excluding Incompatible Archs
Finished
Setting up Package Sacks
Excluding Incompatible Archs
Finished
initRepo
Setting up Package Sacks
Excluding Incompatible Archs
Finished
initRepo
Setting up Package Sacks
Excluding Incompatible Archs
Finished

Fetching Obsoletes list for channel: updates-released...
initRepo

Fetching obsoletes list for
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/4/i386/...

Fetching Obsoletes list for channel: extras...
initRepo

Fetching obsoletes list for
http://download.fedora.redhat.com/pub/fedora/linux/extras/4/i386/...

Fetching Obsoletes list for channel: base...
initRepo

Fetching obsoletes list for
http://download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/...

Fetching rpm headers...
initRepo
bytes=440-7518
initRepo##################
bytes=440-6215
########################################

Name                                    Version        Rel
----------------------------------------------------------
HelixPlayer                             1.0.5          1.fc4.2           i386
ImageMagick                             6.2.2.0        3.fc4.0           i386
MyODBC                                  2.50.39        25.FC4.1          i386
NetworkManager                          0.4            20.FC4.1          i386
NetworkManager-gnome                    0.4            20.FC4.1          i386
alsa-lib                                1.0.9rf        2.FC4             i386
alsa-lib-devel                          1.0.9rf        2.FC4             i386
alsa-utils                              1.0.9rf        2.FC4             i386
apr                                     0.9.6          3.1               i386
arts                                    1.4.2          0.fc4.1           i386
audit                                   1.0.2          3.FC4             i386
audit-libs                              1.0.2          3.FC4             i386
bind                                    9.3.1          10_FC4            i386
bind-chroot                             9.3.1          10_FC4            i386
bind-libs                               9.3.1          10_FC4            i386
bind-utils                              9.3.1          10_FC4            i386
binutils                                2.15.94.0.2.2  2.1               i386
ckermit                                 8.0.211        2.FC4             i386
coreutils                               5.2.1          48.1              i386
cpp                                     4.0.1          4.fc4             i386
cups                                    1.1.23         15.1              i386
cups-libs                               1.1.23         15.1              i386
cvs                                     1.11.19        9                 i386
devhelp                                 0.10           1.4.1             i386
dhclient                                3.0.2          14.FC4            i386
dhcpv6_client                           0.10           14_FC4            i386
diskdumputils                           1.1.9          2                 i386
doxygen                                 1.4.4          0.fc4.1           i386
eject                                   2.1.1          0.fc4.1           i386
elinks                                  0.10.3         3.1               i386
ethereal                                0.10.12        1.FC4.2           i386
ethereal-gnome                          0.10.12        1.FC4.2           i386
evolution                               2.2.3          2.fc4             i386
evolution-data-server                   1.2.3          2.fc4             i386
fetchmail                               6.2.5          7.fc4.1           i386
firefox                                 1.0.6          1.1.fc4           i386
gaim                                    1.5.0          1.fc4             i386
gamin                                   0.1.1          3.FC4             i386
gamin-devel                             0.1.1          3.FC4             i386
gawk                                    3.1.4          5.2               i386
gcc                                     4.0.1          4.fc4             i386
gcc-c++                                 4.0.1          4.fc4             i386
gcc-gfortran                            4.0.1          4.fc4             i386
gcc-gnat                                4.0.1          4.fc4             i386
gcc-java                                4.0.1          4.fc4             i386
gcc-objc                                4.0.1          4.fc4             i386
gedit                                   2.10.2         4                 i386
gimp                                    2.2.8          0.fc4.2           i386
gjdoc                                   0.7.5          3                 i386
glibc                                   2.3.5          10.3              i686
glibc-common                            2.3.5          10.3              i386
glibc-devel                             2.3.5          10.3              i386
glibc-headers                           2.3.5          10.3              i386
gnome-panel                             2.10.1         10.2              i386
gnome-panel-devel                       2.10.1         10.2              i386
gphoto2                                 2.1.6          1.1               i386
grep                                    2.5.1          48.2              i386
gstreamer-plugins                       0.8.8          9                 i386
httpd                                   2.0.54         10.1              i386
httpd-manual                            2.0.54         10.1              i386
hwdata                                  0.158.1        1                 noarch
iiimf-libs                              12.2           4.fc4.2           i386
iiimf-libs-devel                        12.2           4.fc4.2           i386
java-1.4.2-gcj-compat                   1.4.2.0        40jpp_31rh.FC4.1  i386
java-1.4.2-gcj-compat-devel             1.4.2.0        40jpp_31rh.FC4.1  i386
java-1.4.2-gcj-compat-src               1.4.2.0        40jpp_31rh.FC4.1  i386
kdeaddons                               3.4.2          0.fc4.1           i386
kdeadmin                                3.4.2          0.fc4.1           i386
kdeartwork                              3.4.2          0.fc4.1           i386
kdebase                                 3.4.2          0.fc4.1           i386
kdegraphics                             3.4.2          0.fc4.1           i386
kdelibs                                 3.4.2          0.fc4.1           i386
kdemultimedia                           3.4.2          0.fc4.1           i386
kdenetwork                              3.4.2          0.fc4.1           i386
kdepim                                  3.4.2          0.fc4.3           i386
kdeutils                                3.4.2          0.fc4.1           i386
krb5-devel                              1.4.1          5                 i386
krb5-libs                               1.4.1          5                 i386
krb5-server                             1.4.1          5                 i386
krb5-workstation                        1.4.1          5                 i386
libgal2                                 2.4.3          1.fc4             i386
libgcc                                  4.0.1          4.fc4             i386
libgcj                                  4.0.1          4.fc4             i386
libgcj-devel                            4.0.1          4.fc4             i386
libgcj-src                              4.0.1          4.fc4             i386
libgfortran                             4.0.1          4.fc4             i386
libgnat                                 4.0.1          4.fc4             i386
libobjc                                 4.0.1          4.fc4             i386
libpcap                                 0.8.3          13.FC4            i386
libraw1394                              1.2.0          1.fc4             i386
libsepol                                1.5.10         1.1               i386
libstdc++                               4.0.1          4.fc4             i386
libstdc++-devel                         4.0.1          4.fc4             i386
libtool                                 1.5.16.multilib22                 i386
libtool-ltdl                            1.5.16.multilib22                 i386
libwnck                                 2.10.0         4.fc4             i386
libwpd                                  0.8.2          1.fc4             i386
libxml2                                 2.6.20         1.FC4             i386
libxml2-devel                           2.6.20         1.FC4             i386
libxml2-python                          2.6.20         1.FC4             i386
logwatch                                6.1.2          1.fc4             noarch
metacity                                2.10.3         1                 i386
mgetty                                  1.1.33         3_FC4             i386
mod_perl                                2.0.1          1.fc4             i386
mod_ssl                                 2.0.54         10.1              i386
module-init-tools                       3.1            4                 i386
mozilla                                 1.7.10         1.5.1             i386
mozilla-devel                           1.7.10         1.5.1             i386
mozilla-nspr                            1.7.10         1.5.1             i386
mozilla-nspr-devel                      1.7.10         1.5.1             i386
mozilla-nss                             1.7.10         1.5.1             i386
mozilla-nss-devel                       1.7.10         1.5.1             i386
mysql                                   4.1.12         2.FC4.1           i386
mysql-bench                             4.1.12         2.FC4.1           i386
mysql-devel                             4.1.12         2.FC4.1           i386
mysql-server                            4.1.12         2.FC4.1           i386
net-snmp                                5.2.1.2        fc4.1             i386
net-snmp-libs                           5.2.1.2        fc4.1             i386
net-snmp-utils                          5.2.1.2        fc4.1             i386
netpbm                                  10.28          1.FC4.2           i386
netpbm-devel                            10.28          1.FC4.2           i386
netpbm-progs                            10.28          1.FC4.2           i386
nfs-utils                               1.0.7          10                i386
nscd                                    2.3.5          10.3              i386
openoffice.org-calc                     1.9.117        3.1.0.fc4         i386
openoffice.org-core                     1.9.117        3.1.0.fc4         i386
openoffice.org-draw                     1.9.117        3.1.0.fc4         i386
openoffice.org-graphicfilter            1.9.117        3.1.0.fc4         i386
openoffice.org-impress                  1.9.117        3.1.0.fc4         i386
openoffice.org-javafilter               1.9.117        3.1.0.fc4         i386
openoffice.org-math                     1.9.117        3.1.0.fc4         i386
openoffice.org-pyuno                    1.9.117        3.1.0.fc4         i386
openoffice.org-testtools                1.9.117        3.1.0.fc4         i386
openoffice.org-writer                   1.9.117        3.1.0.fc4         i386
openoffice.org-xsltfilter               1.9.117        3.1.0.fc4         i386
openssh                                 4.1p1          3.1               i386
openssh-askpass                         4.1p1          3.1               i386
openssh-askpass-gnome                   4.1p1          3.1               i386
openssh-clients                         4.1p1          3.1               i386
openssh-server                          4.1p1          3.1               i386
pam                                     0.79           9.4               i386
pam-devel                               0.79           9.4               i386
parted                                  1.6.22         3.FC4             i386
pcre                                    5.0            4.1.fc4           i386
php                                     5.0.4          10.3              i386
php-ldap                                5.0.4          10.3              i386
php-mysql                               5.0.4          10.3              i386
php-odbc                                5.0.4          10.3              i386
php-pear                                5.0.4          10.3              i386
php-pgsql                               5.0.4          10.3              i386
pilot-link                              0.12.0         0.pre3.0.fc4.1    i386
pilot-link-devel                        0.12.0         0.pre3.0.fc4.1    i386
popt                                    1.10.1         22                i386
procps                                  3.2.5          6.3               i386
pygtk2                                  2.6.2          0.fc4.1           i386
pygtk2-devel                            2.6.2          0.fc4.1           i386
pygtk2-libglade                         2.6.2          0.fc4.1           i386
qt                                      3.3.4          15.1              i386
qt-MySQL                                3.3.4          15.1              i386
qt-ODBC                                 3.3.4          15.1              i386
redhat-rpm-config                       8.0.34         1.1               noarch
rpm                                     4.4.1          22                i386
rpm-build                               4.4.1          22                i386
rpm-devel                               4.4.1          22                i386
rpm-libs                                4.4.1          22                i386
rpm-python                              4.4.1          22                i386
selinux-policy-targeted                 1.25.3         12                noarch
setarch                                 1.8            1.FC4             i386
setools                                 2.1.1          2                 i386
shadow-utils                            4.0.7          10.FC4            i386
slocate                                 2.7            22.fc4.1          i386
spamassassin                            3.0.4          1.fc4             i386
subversion                              1.2.1          2.1               i386
sudo                                    1.6.8p8        2.2               i386
system-config-bind                      4.0.0          30_FC4            noarch
system-config-nfs                       1.3.11         0.fc4.1           noarch
system-config-printer                   0.6.131.3      1                 i386
system-config-printer-gui               0.6.131.3      1                 i386
system-config-securitylevel             1.5.8.1        1                 i386
system-config-securitylevel-tui         1.5.8.1        1                 i386
system-config-soundcard                 1.2.12         2                 noarch
tar                                     1.15.1         8.FC4             i386
tcpdump                                 3.8.2          13.FC4            i386
thunderbird                             1.0.6          1.1.fc4           i386
totem                                   1.0.4          1                 i386
ttmkfdir                                3.0.9          16.1              i386
util-linux                              2.12p          9.7               i386
vim-common                              6.3.086        0.fc4             i386
vim-enhanced                            6.3.086        0.fc4             i386
vim-minimal                             6.3.086        0.fc4             i386
vixie-cron                              4.1            36.FC4            i386
vnc                                     4.1.1          10.1              i386
vnc-server                              4.1.1          10.1              i386
xorg-x11                                6.8.2          37                i386
xorg-x11-Mesa-libGL                     6.8.2          37                i386
xorg-x11-Mesa-libGLU                    6.8.2          37                i386
xorg-x11-Xnest                          6.8.2          37                i386
xorg-x11-Xvfb                           6.8.2          37                i386
xorg-x11-deprecated-libs                6.8.2          37                i386
xorg-x11-deprecated-libs-devel          6.8.2          37                i386
xorg-x11-devel                          6.8.2          37                i386
xorg-x11-doc                            6.8.2          37                i386
xorg-x11-font-utils                     6.8.2          37                i386
xorg-x11-libs                           6.8.2          37                i386
xorg-x11-sdk                            6.8.2          37                i386
xorg-x11-tools                          6.8.2          37                i386
xorg-x11-twm                            6.8.2          37                i386
xorg-x11-xauth                          6.8.2          37                i386
xorg-x11-xdm                            6.8.2          37                i386
xorg-x11-xfs                            6.8.2          37                i386
xpdf                                    3.01           0.FC4.1           i386
yelp                                    2.10.0         1.4.1             i386
zlib                                    1.2.2.2        5.fc4             i386
zlib-devel                              1.2.2.2        5.fc4             i386

initRepo
initRepo
initRepo

Testing package set / solving RPM inter-dependencies...
########################################
initRepo
HelixPlayer-1.0.5-1.fc4.2.i ########################## Done.
An error has occurred:
exceptions.KeyError
See /var/log/up2date for more information

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

The most recent contents of /var/log/up2date are :-

>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>



[Wed Aug 24 22:35:28 2005] up2date   File "/usr/sbin/up2date", line 1265, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
   File "/usr/sbin/up2date", line 1137, in batchRun
    batch.run()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 87, in run
    self.__getPackages()
   File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 168, in __getPackages
    up2date.getPackage(pkg, wrapperUtils.printPkg, wrapperUtils.printRetrieveHash)
   File "/usr/share/rhn/up2date_client/up2date.py", line 192, in getPackage
    progressCallback)
   File "/usr/share/rhn/up2date_client/rpcServer.py", line 316, in doCall
    ret = apply(method, args, kwargs)
   File "/usr/share/rhn/up2date_client/repoDirector.py", line 39, in
getPackageSource
    return self.handlers[channel['type']].getPackageSource(channel, pkg,
msgCallback, progressCallback)
   File "/usr/share/rhn/up2date_client/repoBackends/genericRepo.py", line 17, in
__getattr__
    self.psc.setSourceInstances(self.sources[name])

<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. run up2date from the RHN Icon OR
2. run up2date from a terminal
3.
  
Actual results:

up2date stops after downloading one package

Expected results:

up2daste downloads and updates all installed packages

Additional info:

This is the third time I've installed FC4 on this system, an Acer Aspire 1500LMi
(athlon64, 1GB RAM). The first time I installed as an update on top of FC2.
Up2Date worked OK but I had other problems with mismatched components so I
elected to wipe the system and start again. Doing a clean install, up2date
started working (I got  Kernel 2.6.12 downloaded and several other packages over
 several days) but at some point it stopped working and I got errors with the
RHN icon (Blue icon with a question mark - clicking on the icon produced a
traceback(no longer available, sorry that suggested problems with the GPG key.)
tried up2date --register but just exited silently. installed some GPG keys. YUM
managed to download software but I decided to start afresh.

Tonight wiped hard disk again and re-installed. Did up2date --register.
complained about the gpg key so imported the Red Hat key and reran register -
apparently worked. Tried up2date again, no luck. found bugzilla report about not
importing fedora key, so imported that one and reran. This time downloaded
helixplayer but still dumped

Regards, Andy
Comment 1 Andrew Long 2005-08-24 18:34:37 EDT
YUM appears to be downloading packages correctly - currently at package 88 of216
(Kdebase)
Comment 2 James Minnihan 2005-12-28 11:23:51 EST
I am having the same exact issue with a Dell Dimension 4700. Yum works fine, yet up2date hangs after 
downloading the first update (Helix Player). Same error, exception.KeyError during genericRepo.py 
execution. 
Comment 3 John Thacker 2006-10-29 15:26:20 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 4 John Thacker 2006-11-05 11:27:24 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.